[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#339389: glibc: FTBFS on amd64: sem_trywait.S:59: Error: symbol `sem_trywait' is already defined



On Sun, Nov 27, 2005 at 12:06:15AM -0500, Daniel Jacobowitz wrote:
> On Sat, Nov 26, 2005 at 04:35:45PM +0100, Kurt Roeckx wrote:
> > I'm planning on doing an NMU for this tommorrow.  We currently
> > don't have a libc6 in testing because of this.
> 
> I assume you mean that amd64 doesn't.  2.3.5-8 migrated to testing just
> fine.  It's not our fault that the archive scripts and the separate
> amd64 archive don't get along.

The archive scripts have some problems with this, and you could
agrue that they should get fixed to handle it.  I think it's a
useless effort.

> The patch in this bug is fine, if you want to do the NMU.  I don't have
> time for another glibc upload and someone _needs_ to look at sparc64
> before the next one anyway.

Patch for the NMU is attached.


Kurt

diff -u glibc-2.3.5/debian/patches/00list glibc-2.3.5/debian/patches/00list
--- glibc-2.3.5/debian/patches/00list
+++ glibc-2.3.5/debian/patches/00list
@@ -93,0 +94 @@
+amd64_sem_trywait
diff -u glibc-2.3.5/debian/changelog glibc-2.3.5/debian/changelog
--- glibc-2.3.5/debian/changelog
+++ glibc-2.3.5/debian/changelog
@@ -1,3 +1,12 @@
+glibc (2.3.5-8.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Rename sem_trywait to __new_sem_trywait in amd64 nptl code
+    so the alias works properly, and it can be build.
+    (Closes: #339389)
+
+ -- Kurt Roeckx <kurt@roeckx.be>  Sun, 27 Nov 2005 11:22:03 +0100
+
 glibc (2.3.5-8) unstable; urgency=low
 
   * Add missing build dependency on libc6-dev-ppc64 on powerpc.
only in patch2:
unchanged:
--- glibc-2.3.5.orig/debian/patches/amd64_sem_trywait.dpatch
+++ glibc-2.3.5/debian/patches/amd64_sem_trywait.dpatch
@@ -0,0 +1,35 @@
+#! /bin/sh -e
+
+# DP: Give sem_trywait a different name, so we can add an
+# DP: alias to it.
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p1 < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p1 < $0;;
+    *)
+        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+        exit 1
+esac
+exit 0
+
+
+--- glibc-2.3.5/nptl/sysdeps/unix/sysv/linux/x86_64/sem_trywait.S.old	2005-11-15 23:09:31.000000000 +0100
++++ glibc-2.3.5/nptl/sysdeps/unix/sysv/linux/x86_64/sem_trywait.S	2005-11-15 23:10:09.000000000 +0100
+@@ -29,10 +29,10 @@
+ 
+ 	.text
+ 
+-	.globl	sem_trywait
+-	.type	sem_trywait,@function
++	.globl	__new_sem_trywait
++	.type	__new_sem_trywait,@function
+ 	.align	16
+-sem_trywait:
++__new_sem_trywait:
+ 	movl	(%rdi), %eax
+ 2:	testl	%eax, %eax
+ 	jz	1f

Reply to: